<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (version 1.7.0_80) on Wed Sep 20 14:52:13 UTC 2017 -->
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<title>BuildEnvironment (Gradle API 4.2)</title>
<meta name="date" content="2017-09-20">
<link rel="stylesheet" type="text/css" href="../../../../../javadoc.css" title="Style">
</head>
<body>
<script type="text/javascript"><!--
    if (location.href.indexOf('is-external=true') == -1) {
        parent.document.title="BuildEnvironment (Gradle API 4.2)";
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar_top">
<!--   -->
</a><a href="#skip-navbar_top" title="Skip navigation links"></a><a name="navbar_top_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev Class</li>
<li><a href="../../../../../org/gradle/tooling/model/build/GradleEnvironment.html" title="interface in org.gradle.tooling.model.build"><span class="strong">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?org/gradle/tooling/model/build/BuildEnvironment.html" target="_top">Frames</a></li>
<li><a href="BuildEnvironment.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.gradle.tooling.model.build</div>
<h2 title="Interface BuildEnvironment" class="title">Interface BuildEnvironment</h2>
</div>
<div class="contentContainer">
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Superinterfaces:</dt>
<dd><a href="../../../../../org/gradle/tooling/model/BuildModel.html" title="interface in org.gradle.tooling.model">BuildModel</a>, <a href="../../../../../org/gradle/tooling/model/Model.html" title="interface in org.gradle.tooling.model">Model</a></dd>
</dl>
<hr>
<br>
<pre>public interface <span class="strong">BuildEnvironment</span>
extends <a href="../../../../../org/gradle/tooling/model/Model.html" title="interface in org.gradle.tooling.model">Model</a>, <a href="../../../../../org/gradle/tooling/model/BuildModel.html" title="interface in org.gradle.tooling.model">BuildModel</a></pre>
<div class="block">Informs about the build environment, like Gradle version or the Java home in use.
 <p>
 Example:
 <pre class='autoTested'>
 ProjectConnection connection = GradleConnector.newConnector()
    .forProjectDirectory(new File("someProjectFolder"))
    .connect();

 try {
    BuildEnvironment env = connection.getModel(BuildEnvironment.class);
    System.out.println("Gradle version: " + env.getGradle().getGradleVersion());
    System.out.println("Java home: " + env.getJava().getJavaHome());
 } finally {
    connection.close();
 }
 </pre></div>
<dl><dt><span class="strong">Since:</span></dt>
  <dd>1.0-milestone-8</dd></dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method_summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="overviewSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span>Methods</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../org/gradle/tooling/model/BuildIdentifier.html" title="interface in org.gradle.tooling.model">BuildIdentifier</a></code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/tooling/model/build/BuildEnvironment.html#getBuildIdentifier()">getBuildIdentifier</a></strong>()</code>
<div class="block">Returns the identifier for the Gradle build that this environment is used by.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../../../org/gradle/tooling/model/build/GradleEnvironment.html" title="interface in org.gradle.tooling.model.build">GradleEnvironment</a></code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/tooling/model/build/BuildEnvironment.html#getGradle()">getGradle</a></strong>()</code>
<div class="block">Returns information about the Gradle environment, for example the Gradle version.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../org/gradle/tooling/model/build/JavaEnvironment.html" title="interface in org.gradle.tooling.model.build">JavaEnvironment</a></code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/tooling/model/build/BuildEnvironment.html#getJava()">getJava</a></strong>()</code>
<div class="block">Returns information about the Java environment, for example the Java home or the JVM args used.</div>
</td>
</tr>
</table>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method_detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="getBuildIdentifier()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getBuildIdentifier</h4>
<pre><a href="../../../../../org/gradle/api/Incubating.html" title="annotation in org.gradle.api">@Incubating</a>
<a href="../../../../../org/gradle/tooling/model/BuildIdentifier.html" title="interface in org.gradle.tooling.model">BuildIdentifier</a>&nbsp;getBuildIdentifier()</pre>
<div class="block">Returns the identifier for the Gradle build that this environment is used by.</div>
<dl>
<dt><strong>Specified by:</strong></dt>
<dd><code><a href="../../../../../org/gradle/tooling/model/BuildModel.html#getBuildIdentifier()">getBuildIdentifier</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../org/gradle/tooling/model/BuildModel.html" title="interface in org.gradle.tooling.model">BuildModel</a></code></dd>
<dt><span class="strong">Since:</span></dt>
  <dd>2.13</dd></dl>
</li>
</ul>
<a name="getGradle()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getGradle</h4>
<pre><a href="../../../../../org/gradle/tooling/model/build/GradleEnvironment.html" title="interface in org.gradle.tooling.model.build">GradleEnvironment</a>&nbsp;getGradle()</pre>
<div class="block">Returns information about the Gradle environment, for example the Gradle version.</div>
<dl><dt><span class="strong">Since:</span></dt>
  <dd>1.0-milestone-8</dd></dl>
</li>
</ul>
<a name="getJava()">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>getJava</h4>
<pre><a href="../../../../../org/gradle/tooling/model/build/JavaEnvironment.html" title="interface in org.gradle.tooling.model.build">JavaEnvironment</a>&nbsp;getJava()
                        throws <a href="../../../../../org/gradle/tooling/model/UnsupportedMethodException.html" title="class in org.gradle.tooling.model">UnsupportedMethodException</a></pre>
<div class="block">Returns information about the Java environment, for example the Java home or the JVM args used.</div>
<dl><dt><span class="strong">Throws:</span></dt>
<dd><code><a href="../../../../../org/gradle/tooling/model/UnsupportedMethodException.html" title="class in org.gradle.tooling.model">UnsupportedMethodException</a></code> - For Gradle versions older than 1.0-milestone-8, where this method is not supported.</dd><dt><span class="strong">Since:</span></dt>
  <dd>1.0-milestone-8</dd></dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar_bottom">
<!--   -->
</a><a href="#skip-navbar_bottom" title="Skip navigation links"></a><a name="navbar_bottom_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev Class</li>
<li><a href="../../../../../org/gradle/tooling/model/build/GradleEnvironment.html" title="interface in org.gradle.tooling.model.build"><span class="strong">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?org/gradle/tooling/model/build/BuildEnvironment.html" target="_top">Frames</a></li>
<li><a href="BuildEnvironment.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
